AnsweredAssumed Answered

How To Resolve the Error 0x8004022E = The versions of the program and the file vault are incompatible

Question asked by Maico Ismael Schmitz on Nov 18, 2019
Latest reply on Nov 19, 2019 by Maico Ismael Schmitz

Hi,

 

When a try to login to a vault the add-in (application) result in the error:

 

"0x8004022E = The versions of the program and the file vault are incompatible"

 

This is the code:

IEdmVault5 vault1 = new EdmVault5();  IEdmVault8 vault2 = (IEdmVault8)vault1;  Array Views = new EdmViewInfo[1];   vault2.GetVaultViews(out Views, false);  EdmViewInfo VaultViewInfo = (EdmViewInfo)Views.GetValue(0);  string VaultPath = VaultViewInfo.mbsPath;  string VaultName = VaultViewInfo.mbsVaultName;  try{     vault1.LoginAuto(VaultName, 0);   }catch (System.Runtime.InteropServices.COMException ex) {       MessageBox.Show("HRESULT = 0x" + ex.ErrorCode.ToString("X"+ " " + ex.Message);   }catch (Exception ex) {     MessageBox.Show(ex.Message); }

 

Can someone help me?

Outcomes